package cn.stylefeng.team.meta.modular.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.meta.api.DiagramServiceApi;
import cn.stylefeng.team.meta.modular.entity.BusinessDiagram;
import cn.stylefeng.team.meta.modular.pojo.request.BusinessDiagramRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BusinessDiagramService extends IService<BusinessDiagram>, DiagramServiceApi {

    BusinessDiagram add(BusinessDiagramRequest businessDiagramRequest);

    void del(BusinessDiagramRequest businessDiagramRequest);

    void batchDelete(BusinessDiagramRequest businessDiagramRequest);

    void edit(BusinessDiagramRequest businessDiagramRequest);

    BusinessDiagram detail(BusinessDiagramRequest businessDiagramRequest);

    List<BusinessDiagram> findList(BusinessDiagramRequest businessDiagramRequest);

    PageResult<BusinessDiagram> findPage(BusinessDiagramRequest businessDiagramRequest);

}
